## tomahawk 0.7.1

=== docs/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tomahawk.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tomahawk.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tomahawk"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tomahawk"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
tomahawk (0.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938676

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Jan 2020 02:04:09 -0500

tomahawk (0.7.1-2) unstable; urgency=medium

  * debian/control
    - Added dash to Build-Depends.
    - Bumped version Standards-Version to 3.9.6.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 06 Jul 2015 07:46:40 +0900

tomahawk (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Supported Python3.
  * debian/control
    - Standards-Version: Bumped version to 3.9.5.
    - Build-Depends:
      * Appended python-six, python3-six, python-pytest-cov, python-flexmox.
      * Removed python-nose.
    - Depends of python-tomahawk:
      * Removed python-argparse.
  * debian-rules
    - Removed override_dh_installchangelogs target.
    - Added convert_manpage_tomahawk3.
  * debian/patches
    - Removed add_egg-info.
    - Added remove-genarating-requirements-files.patch.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 06 Sep 2014 11:10:00 +0900

tomahawk (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #647547)
  * debian/patches:
    - remove_pytest_ini: Remove `pytest.ini`.
    - remove_data_files_from_setup_py: Remove data_files variable.
    - add_egg-info: Add egg-info files.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 06 Aug 2013 11:38:43 +0900

=== debian/control ===
Source: tomahawk
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-coverage,
               python3-flexmock,
               python3-pytest,
               python3-flexmock,
               python3-pexpect,
               python3-six,
               rsync,
               dash,
               openssh-server,
               openssh-client
Standards-Version: 3.9.6
Homepage: https://github.com/oinume/tomahawk

Package: python3-tomahawk
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pexpect,
         python3-six,
         rsync,
         openssh-client
Description: simple ssh wrapper for executing commands into many hosts (py3)
 For Python3.
 Enables following 3 things. Executing remote commands tool via ssh to multi
 remote hosts. Copy local files to many remote hosts. Copy files from remote
 hosts to local.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=tomahawk
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir};touch {build_dir}/tests/__init__.py; touch {build_dir}/tests/internal/__init__.py; cd {build_dir}
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={build_dir}/tests/internal

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	mv -f $(CURDIR)/debian/python3-tomahawk/usr/bin/tomahawk $(CURDIR)/debian/python3-tomahawk/usr/bin/tomahawk3
	mv -f $(CURDIR)/debian/python3-tomahawk/usr/bin/tomahawk-rsync $(CURDIR)/debian/python3-tomahawk/usr/bin/tomahawk-rsync3
	find $(CURDIR)/debian -name tests | xargs rm -rf

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/requirements*.txt

convert_manpage_tomahawk3:
	sed 's/\"tomahawk\"/\"tomahawk3\"/g' $(CURDIR)/man/man1/tomahawk.1 > $(CURDIR)/debian/tomahawk3.1
	sed -i 's/\"TOMAHAWK\"/\"TOMAHAWK3\"/g' $(CURDIR)/debian/tomahawk3.1
	sed -i 's/tomahawk /tomahawk3 /g' $(CURDIR)/debian/tomahawk3.1
	sed -i 's/\\fBtomahawk/\\fBtomahawk3/g' $(CURDIR)/debian/tomahawk3.1
	sed -i 's/\\fItomahawk\\f/\\fItomahawk3\\f/g' $(CURDIR)/debian/tomahawk3.1
	sed -i 's/\\fItomahawk\\-rsync/\\fItomahawk\\-rsync3/g' $(CURDIR)/debian/tomahawk3.1
	sed 's/\"tomahawk\"/\"tomahawk3\"/g' $(CURDIR)/man/man1/tomahawk-rsync.1 > $(CURDIR)/debian/tomahawk-rsync3.1
	sed -i 's/\"TOMAHAWK-RSYNC\"/\"TOMAHAWK-RSYNC3\"/g' $(CURDIR)/debian/tomahawk-rsync3.1
	sed -i 's/tomahawk-rsync /tomahawk-rsync3 /g' $(CURDIR)/debian/tomahawk-rsync3.1
	sed -i 's/tomahawk\\-rsync /tomahawk\\-rsync3 /g' $(CURDIR)/debian/tomahawk-rsync3.1
	sed -i 's/\\fBtomahawk\\-rsync/\\fBtomahawk\\-rsync3/g' $(CURDIR)/debian/tomahawk-rsync3.1
	sed -i 's/\\fItomahawk(1)\\f/\\fItomahawk3(1)\\f/g' $(CURDIR)/debian/tomahawk-rsync3.1
	sed -i 's/\\fItomahawk\\f/\\fItomahawk3\\f/g' $(CURDIR)/debian/tomahawk-rsync3.1
	sed -i 's/\\fItomahawk\\-rsync/\\fItomahawk\\-rsync3/g' $(CURDIR)/debian/tomahawk-rsync3.1

=== debian/watch ===
version=3
https://github.com/oinume/tomahawk/tags .*/(\d[\d\.]+)\.tar\.gz

## tomahawk 0.8.4~mx15+1

=== thirdparty/libcrashreporter-qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(libcrashreporter-qt)

if(CMAKE_COMPILER_IS_GNUCXX)
    # Breakpad uses GNU compiler extensions like typeof.
    # Luckily these features are not used on OSX, so we can build the
    # crashreporter there with the normal C++11 standard.
    string(REPLACE "-std=c++11" "-std=gnu++11" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
endif()

add_subdirectory(3rdparty)
add_subdirectory(src)

=== debian/changelog ===
tomahawk (0.8.4~mx15+1) mx; urgency=medium

  * Rebuild for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 11 May 2017 20:34:40 -0400

tomahawk (0.8.4) trusty; urgency=medium

  * New upstream release 

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Wed, 15 Apr 2015 17:30:00 +0200

tomahawk (0.8.3) trusty; urgency=medium

  * New upstream release 

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Mon, 13 Apr 2015 06:38:00 +0200

tomahawk (0.8.2) trusty; urgency=medium

  * New upstream release 

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Thu, 20 Nov 2014 09:30:00 +0100

tomahawk (0.8.1) trusty; urgency=medium

  * New upstream release 

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Sun, 16 Nov 2014 12:45:00 +0100

tomahawk (0.8.0) trusty; urgency=medium

  * New upstream release
  * Remove kubuntu_fix-plugin-install.patch
  * Update debian/control
  * Update debian/copyright
  * Update debian/rules
  * Update debian/tomahawk.install
  * Build with libechonest2.3, lucene++ and websocketpp

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Sat, 02 Nov 2014 22:40:00 +0100

=== debian/control ===
Source: tomahawk
Section: kde
Priority: optional
Maintainer: Stefan Ahlers <stef.ahlers@t-online.de>
Build-Depends: cmake,
               debhelper (>= 7.3), 
	       pkg-config,
	       libqt4-dev,
	       libqtwebkit-dev,
	       libqjson-dev,
	       libfftw3-dev,
	       libsamplerate0-dev,
	       zlib1g-dev,
	       libgsasl7-dev, 
	       liblucene++-dev, 
	       libboost-dev,
	       libboost-thread-dev,
	       libboost-filesystem-dev,
       	       libtag1-dev,
	       libsparsehash-dev,
	       libgnutls28-dev,
	       libqca2-dev,
	       qtkeychain-dev,
	       libattica-dev,
	       libphonon-dev,
	       libphononexperimental-dev,
	       phonon-backend-vlc,
	       libqt4-sql-sqlite,
	       libquazip-dev,
	       liblastfm-dev,
	       libjreen-dev,
	       libtelepathy-qt4-dev,
               libechonest-dev,
	       pkg-kde-tools,
	       kdelibs5-dev,
	       kdelibs-bin,
	       libx11-dev,
	       libssl-dev,
	       libwebsocketpp-dev
Standards-Version: 3.9.5
Homepage: http://tomahawk-player.org

Package: tomahawk
Architecture: any
Depends: libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: phonon-backend-vlc
Description: Multi source music player
 A music player that plays not only your local collection, but also
 streams from SoundCloud, Spotify, Beats, YouTube and many more.
 You can even connect Tomahawk with your friends via Jabber / GTalk
 and share your playlists and collection.

Package: tomahawk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: tomahawk (= ${binary:Version}), ${misc:Depends}
Description: Social media player - debugging symbols
 This package contains the debugging symbols to be used for debugging
 problems with the tomahawk package.
